windyrain

目前我们正在请其他团队帮忙制作骨骼动画,应该会是基于最新版本 3.8.99,我们现在用的是 pixi-spine 来实现骨骼动画,一个网页项目。

考虑到一个问题,希望能得到帮助。

如果半年后,我们又有制作骨骼动画的需求。

1.如果是在同一个App中开辟新项目
如果对方使用 Spine4.x 来制作动画,是否意味着我们需要同时使用 pixi-spine 目前的版本和支持 4.x的最新版本

2.如果是在同一个App中的老项目维护
如果对方使用 Spine4.x 来制作动画,技术上是否意味着我们一定要将项目内的 pixi-spine 升级,才能够一起使用。美术上是不是需要把原来的动画资源统一做升级。

因为团队内之前没有相关的经验,希望能了解一下是否有最优的升级策略~,感谢 :heart:
windyrain
  • 帖子: 3

Mario

アニメーションとエクスポートの作成に使用しているSpineエディターのバージョンと、Spineランタイムのバージョンは常に一致している必要があります。 つまり Spine Editor 3.8.xでアニメーションを作成およびエクスポートする場合は、Spine Runtimesバージョン3.8を使用する必要があります。

SpineEditorバージョンとSpineRuntimesバージョンを混在させることは、通常は不可能であるか、推奨されていません。

1つのアプリケーションで2つのSpineランタイムバージョンを混在させることもお勧めしませんが、いくつかの作業(モジュール/名前空間の問題の解決など)は可能です。

SpineEditorプロジェクトが最新のSpineEditorバージョンに更新されていることを常に確認し、それに応じてSpineRuntimesバージョンも更新することをお勧めします。 新しいSpine Editorバージョンでは、古いSpine Editorバージョンで作成されたSpineプロジェクトをいつでも開くことができます。 Spineプロジェクトを新しいSpineEditorバージョンで保存すると、古いバージョンにダウングレードするのは複雑になることに注意してください。

The version of the Spine Editor you are using to create the animations and exports, and the version of the Spine Runtimes must always match. I.e. if you create and export animations in Spine Editor 3.8.x you must use the Spine Runtimes version 3.8.

Mixing of Spine Editor versions and Spine Runtimes versions is generally not possible or advised.

Mixing two Spine Runtimes versions in a single application is also not advised, though possible with some work (e.g. resolve module/namespace issues).

We suggest you always make sure your Spine Editor projects are updated to the latest Spine Editor version, and also update the Spine Runtimes version accordingly. Newer Spine Editor versions can always open Spine projects created with an older Spine Editor version. Note that once you save a Spine project in a newer Spine Editor version, it is complicated to downgrade it to an older version!
头像
Mario

Mario
  • 帖子: 2392

windyrain

Thanks, I'll work with 3.8 until the new version has some surprises!
windyrain
  • 帖子: 3


回到 中国Spine用户